Package ru.bitel.bgbilling.kernel.contract.object.common.bean

# Class ContractObject.Builder

java.lang.Object
ru.bitel.bgbilling.kernel.contract.object.common.bean.ContractObject.Builder

Enclosing class:
  `ContractObject`

public static class ContractObject.Builder extends Object

- ## Method Summary

  Modifier and Type
  Method
  Description
  `ContractObject`
  `build()`
  `ContractObject.Builder`
  `setContractId(int contractId)`
  `ContractObject.Builder`
  `setDateFrom(Date dateFrom)`
  `ContractObject.Builder`
  `setDateTo(Date dateTo)`
  `ContractObject.Builder`
  `setEntityAttributes(Map<Integer,EntityAttr> entityAttributes)`
  `ContractObject.Builder`
  `setEntitySpecId(int entitySpecId)`
  `ContractObject.Builder`
  `setId(int id)`
  `ContractObject.Builder`
  `setPosition(int position)`
  `ContractObject.Builder`
  `setStatus(int status)`
  `ContractObject.Builder`
  `setTitle(String title)`
  `ContractObject.Builder`
  `setTypeId(int typeId)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Method Details

  - ### setId

    public ContractObject.Builder setId(int id)

  - ### setContractId

    public ContractObject.Builder setContractId(int contractId)

  - ### setTitle

    public ContractObject.Builder setTitle(String title)

  - ### setDateFrom

    public ContractObject.Builder setDateFrom(Date dateFrom)

  - ### setDateTo

    public ContractObject.Builder setDateTo(Date dateTo)

  - ### setPosition

    public ContractObject.Builder setPosition(int position)

  - ### setStatus

    public ContractObject.Builder setStatus(int status)

  - ### setTypeId

    public ContractObject.Builder setTypeId(int typeId)

  - ### setEntitySpecId

    public ContractObject.Builder setEntitySpecId(int entitySpecId)

  - ### setEntityAttributes

    public ContractObject.Builder setEntityAttributes(Map<Integer,EntityAttr> entityAttributes)

  - ### build

    public ContractObject build()